# superd-service

A collection of service files for use by [superd].

[superd]: https://sr.ht/~craftyguy/superd/

## Installation

An Alpine package is available in the `testing` repositories. To install from
source simply use `make install`.

## Conventions

1. Don't use absolute paths for executable that are expected to be present in
   $PATH. This allows end-users to override the executable by placing a wrapper
   script (e.g.: a user can place a script in `~/.local/bin` that calls the
   original binary with extra arguments).

## Pipewire

Usually when user pipewire, the intent is for it to also work as a pulseaudio
drop-in replacement. For this to work, all three of the following must be
enabled:

- pipewire.service
- pipewire-pulse.service
- wireplumber.service

## Licence

This project is licensed under the ISC licence. See LICENCE.md for details.
